Subject: 24.1; segfault while deleting a window

From: Russell Sim <[email-masked]>
Date: Thu, 19 Jul 2012 08:08:32 +1000

Hi,

So I recently started playing around with the python-mode test cases and
during the batch mode execution I seem to be able to induce a segfault
every time.  I'm running a build of the emacs24.1 tag from the git
repository, the ref is d2ba302127b8dac9b3e02db5c403293982e60e84.

This isn't strictly run with -Q because there are a bunch of tests that
are loaded but it is a consistent case and I can easily gather more
information if needed.  Here is the core dump from one of the crashes
http://russellsim.org/emacs-24.d2ba302.core I made it with debug enabled
if you would like any more info i would be glad to provide it.

Cheers,
Russell

#0  0x000000000048c435 in Fdelete_other_windows_internal (window=24353749, root=24387925) at window.c:2649
#1  0x0000000000602831 in Ffuncall (nargs=3, args=0x7ffffffe3e30) at eval.c:3005
#2  0x000000000064dc18 in exec_byte_code (bytestr=9704177, vector=9704229, maxdepth=20, args_template=12726818, nargs=0, args=0x0) at bytecode.c:785
#3  0x000000000064d183 in Fbyte_code (bytestr=9704177, vector=9704229, maxdepth=20) at bytecode.c:423
#4  0x00000000006011ef in eval_sub (form=9704150) at eval.c:2356
#5  0x00000000005fee2b in internal_catch (tag=13220914, func=0x600b55 <eval_sub>, arg=9704150) at eval.c:1272
#6  0x000000000064e877 in exec_byte_code (bytestr=9703985, vector=9704021, maxdepth=16, args_template=12726818, nargs=0, args=0x0) at bytecode.c:966
#7  0x0000000000603231 in funcall_lambda (fun=9703925, nargs=0, arg_vector=0x7ffffffe48f0) at eval.c:3233
#8  0x0000000000602d38 in apply_lambda (fun=9703925, args=12726818) at eval.c:3110
#9  0x00000000006013b4 in eval_sub (form=22167222) at eval.c:2395
#10 0x00000000005fd383 in Fprogn (args=24543862) at eval.c:364
#11 0x00000000005fea78 in Flet (args=24543814) at eval.c:1120
#12 0x0000000000600eae in eval_sub (form=24543798) at eval.c:2298
#13 0x0000000000601488 in eval_sub (form=23627398) at eval.c:2411
#14 0x00000000005fd383 in Fprogn (args=23627494) at eval.c:364
#15 0x00000000005fea78 in Flet (args=23627382) at eval.c:1120
#16 0x0000000000600eae in eval_sub (form=23627318) at eval.c:2298
#17 0x00000000005fd383 in Fprogn (args=23627510) at eval.c:364
#18 0x00000000006031cc in funcall_lambda (fun=23627526, nargs=1, arg_vector=0x7ffffffe53d8) at eval.c:3226
#19 0x0000000000602acd in Ffuncall (nargs=2, args=0x7ffffffe53d0) at eval.c:3063
#20 0x00000000005fcaa6 in Fcall_interactively (function=22507826, record_flag=12726818, keys=12773141) at callint.c:852
#21 0x0000000000602860 in Ffuncall (nargs=4, args=0x7ffffffe56f0) at eval.c:3009
#22 0x0000000000602066 in call3 (fn=12867138, arg1=22507826, arg2=12726818, arg3=12726818) at eval.c:2802
#23 0x00000000005767d7 in Fcommand_execute (cmd=22507826, record_flag=12726818, keys=12726818, special=12726818) at keyboard.c:10330
#24 0x0000000000602893 in Ffuncall (nargs=2, args=0x7ffffffe5910) at eval.c:3013
#25 0x000000000064dc18 in exec_byte_code (bytestr=9958345, vector=9958381, maxdepth=88, args_template=1028, nargs=1, args=0x7ffffffe5e10) at bytecode.c:785
#26 0x0000000000602f5b in funcall_lambda (fun=9958293, nargs=1, arg_vector=0x7ffffffe5e08) at eval.c:3167
#27 0x0000000000602a19 in Ffuncall (nargs=2, args=0x7ffffffe5e00) at eval.c:3051
#28 0x000000000064dc18 in exec_byte_code (bytestr=9934113, vector=9934149, maxdepth=72, args_template=0, nargs=0, args=0x7ffffffe6350) at bytecode.c:785
#29 0x0000000000602f5b in funcall_lambda (fun=9934061, nargs=0, arg_vector=0x7ffffffe6350) at eval.c:3167
#30 0x0000000000602a19 in Ffuncall (nargs=1, args=0x7ffffffe6348) at eval.c:3051
#31 0x000000000064dc18 in exec_byte_code (bytestr=9928657, vector=9928693, maxdepth=32, args_template=0, nargs=0, args=0x7ffffffe6780) at bytecode.c:785
#32 0x0000000000602f5b in funcall_lambda (fun=9928605, nargs=0, arg_vector=0x7ffffffe6780) at eval.c:3167
#33 0x0000000000602d38 in apply_lambda (fun=9928605, args=12726818) at eval.c:3110
#34 0x00000000006013b4 in eval_sub (form=13141254) at eval.c:2395
#35 0x0000000000600b43 in Feval (form=13141254, lexical=12726818) at eval.c:2204
#36 0x0000000000563b51 in top_level_2 () at keyboard.c:1169
#37 0x00000000005ff4a1 in internal_condition_case (bfun=0x563b34 <top_level_2>, handlers=12779106, hfun=0x563710 <cmd_error>) at eval.c:1515
#38 0x0000000000563b8b in top_level_1 (ignore=12726818) at keyboard.c:1177
#39 0x00000000005fee2b in internal_catch (tag=12774850, func=0x563b53 <top_level_1>, arg=12726818) at eval.c:1272
#40 0x0000000000563aaf in command_loop () at keyboard.c:1132
#41 0x0000000000563254 in recursive_edit_1 () at keyboard.c:759
#42 0x00000000005633f7 in Frecursive_edit () at keyboard.c:823
#43 0x0000000000561494 in main (argc=1739, argv=0x7ffffffe71a8) at emacs.c:1715

In GNU Emacs 24.1.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10)
 of 2012-07-18 on marvin
Windowing system distributor `The X.Org Foundation', version 11.0.11104000
Configured using:
 `configure 'CFLAGS=-ggdb3 -O0' 'CXXFLAGS=-ggdb3 -O0' 'LDFLAGS=-ggdb3''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Comint

Minor modes in effect:
  shell-dirtrack-mode: t
  compilation-shell-minor-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p <tab> o r t <tab> <return>

Recent messages:
Saving file /home/russell/tmp/classblah.py...
Wrote /home/russell/tmp/classblah.py
Can't find completion for "CLASS_INS.someDe"
Scanning for dabbrevs...done
Expansion found in 'classblah.py'
pycomplete-same-folder-class-lp:889052-test passed
python-shell-complete-test passed
usr-bin-python2.7-shell-complete-test passed
progn: Wrong type argument: char-or-string-p, nil
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message byte-opt format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils help-mode view vc-git thingatpt dabbrev
noutline outline py-shell-completion-tests python-extended-executes-test
python-mode-test py-bug-numbered-tests pycomplete python-mode easymenu
easy-mmode edmacro kmacro imenu flymake rx shell pcomplete compile
skeleton bytecomp byte-compile cconv macroexp comint derived ansi-color
ring cl cc-cmds cc-engine cc-vars cc-defs regexp-opt cc-bytecomp pymacs
advice help-fns advice-preload time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)